# -*- coding: utf8 -*-
from __future__ import unicode_literals

from driverng.transport.rs232 import SerialTransport
from driverng.transport.tcp import TCPTransport
from driverng.transport.fichier import FileTransport
from driverng.transport.ftp import FTPTransport
from driverng.transport.sftp import SFTPTransport
from driverng.transport.samba import SambaTransport
from driverng.transport.tcp_ihe import TCPIHETransport
from driverng.transport.http import HTTPTransport


def get(**kwargs):
    kwargs = kwargs.copy()
    transport_type = kwargs.pop("type")
    return {
        "serial": SerialTransport,
        "file": FileTransport,
        "tcp": TCPTransport,
        "ftp": FTPTransport,
        "sftp": SFTPTransport,
        "samba": SambaTransport,
        "tcp_ihe": TCPIHETransport,
        "http": HTTPTransport,
    }[transport_type](**kwargs)
